Scriptname NW_AspectLocationScript extends ReferenceAlias  
{Script for an aspect's location.}

Quest Property NW_WrathOfNature Auto
ActorBase Property AspectType Auto
ActorBase Property MiniType Auto
Explosion Property SummonPortal Auto
Message Property NotificationMessage Auto

Actor Spirit
Actor MiniSpirit1
Actor MiniSpirit2
Actor MiniSpirit3

ObjectReference Portal
ObjectReference Portal1
ObjectReference Portal2
ObjectReference Portal3

ReferenceAlias AliasRef

Function SetRefAlias(ReferenceAlias Ref)
	AliasRef = Ref
EndFunction

Event OnCellAttach()
	If(GetOwningQuest().GetStage() == 10 && GetOwningQuest().IsObjectiveCompleted(10) == false)
		GetOwningQuest().SetObjectiveCompleted(10)
		NotificationMessage.Show()
		Utility.Wait(10)
		
		Spirit = Self.GetReference().PlaceActorAtMe(AspectType)
		Portal = Spirit.PlaceAtMe(SummonPortal)
		AliasRef.ForceRefTo(Spirit)
		GetOwningQuest().SetObjectiveDisplayed(20)
		
		If(GetOwningQuest() == NW_WrathOfNature)
			MiniSpirit1 = Self.GetReference().PlaceActorAtMe(MiniType)
			Portal1 = Spirit.PlaceAtMe(SummonPortal)
			MiniSpirit2 = Self.GetReference().PlaceActorAtMe(MiniType)
			Portal2 = Spirit.PlaceAtMe(SummonPortal)
			MiniSpirit3 = Self.GetReference().PlaceActorAtMe(MiniType)
			Portal3 = Spirit.PlaceAtMe(SummonPortal)		
		EndIf
		
		Utility.Wait(5)
		Portal.DisableNoWait()
		Portal.Delete()
		
		If(GetOwningQuest() == NW_WrathOfNature)
			Portal1.DisableNoWait()
			Portal1.Delete()		
			
			Portal2.DisableNoWait()
			Portal2.Delete()		
			
			Portal3.DisableNoWait()
			Portal3.Delete()		
		EndIf
		
		Self.Clear()
	EndIf
EndEvent