Scriptname NW_FrigidStormScript extends activemagiceffect  
{Frigid Storm Spell Effect Script.}

Spell Property NW_Icicle Auto
Activator Property FXEmptyActivator Auto
ObjectReference CastPoint1
ObjectReference CastPoint2
ObjectReference CastPoint3

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If (akTarget.IsDead() == false && akTarget.IsHostileToActor(akCaster))
	
		CastPoint1 = akTarget.placeAtMe(FXEmptyActivator)
		CastPoint2 = akTarget.placeAtMe(FXEmptyActivator)
		CastPoint3 = akTarget.placeAtMe(FXEmptyActivator)
		
		CastPoint1.MoveTo(akTarget, 0, 0, akTarget.GetHeight() + 100)
		CastPoint2.MoveTo(akTarget, 120.0 * Math.Sin(akTarget.GetAngleZ()), 120.0 * Math.Sin(akTarget.GetAngleZ()), akTarget.GetHeight() + 100)
		CastPoint3.MoveTo(akTarget, -120.0 * Math.Sin(akTarget.GetAngleZ()), -120.0 * Math.Sin(akTarget.GetAngleZ()), akTarget.GetHeight() + 100)
		
		CastPoint1.SetAngle(CastPoint1.GetAngleX(), CastPoint1.GetAngleY(), CastPoint1.GetAngleZ() + CastPoint1.GetHeadingAngle(akTarget))
		CastPoint2.SetAngle(CastPoint1.GetAngleX(), CastPoint2.GetAngleY(), CastPoint2.GetAngleZ() + CastPoint2.GetHeadingAngle(akTarget))
		CastPoint3.SetAngle(CastPoint1.GetAngleX(), CastPoint3.GetAngleY(), CastPoint3.GetAngleZ() + CastPoint3.GetHeadingAngle(akTarget))
		
		NW_Icicle.RemoteCast(CastPoint1, akCaster, akTarget)
		Utility.Wait(0.5)
		NW_Icicle.RemoteCast(CastPoint1, akCaster, akTarget)
		Utility.Wait(0.5)
		NW_Icicle.RemoteCast(CastPoint1, akCaster, akTarget)
		Utility.Wait(0.5)
		
		CastPoint1.Delete()
	EndIf
EndEvent  