Scriptname NW_LostPracticesQuestScript extends Quest  

ObjectReference Property UragContainer Auto
ObjectReference Property FarengarContainer Auto

Function AddRefToUragContainer(ObjectReference ObjectRefToAdd) 
{Adds a reference to the courier container}
	UragContainer.AddItem(ObjectRefToAdd)
endFunction 

Function AddAliasToUragContainer(ReferenceAlias RefAliasToAdd) 
{Adds a reference of a RefAlias to the container}
	ObjectReference vObjectRefToAdd = RefAliasToAdd.GetReference()
	AddRefToUragContainer(vObjectRefToAdd)
EndFunction

Function AddRefToFarengarContainer(ObjectReference ObjectRefToAdd) 
{Adds a reference to the courier container}
	FarengarContainer.AddItem(ObjectRefToAdd)
endFunction 

Function AddAliasToFarengarContainer(ReferenceAlias RefAliasToAdd) 
{Adds a reference of a RefAlias to the container}
	ObjectReference vObjectRefToAdd = RefAliasToAdd.GetReference()
	AddRefToFarengarContainer(vObjectRefToAdd)
EndFunction