Scriptname NW_NaturesWrathHousekeepingScript extends Quest  
{Housekeeping Script for Nature's Wrath.}

Int Property SKSEVersionReleaseMinReq = 43 AutoReadOnly
Message Property SKSEWarning Auto
Race Property PlayerOriginalRace Auto
Bool Property isSpiritsSummoned = false Auto

Bool SKSEOK

Event OnPlayerLoadGame()
	SKSEOK = SKSE.GetVersionRelease() >= SKSEVersionReleaseMinReq

	If(!SKSEOK)
		SKSEWarning.Show()
	EndIf
EndEvent

Event OnInit()
	OnPlayerLoadGame()
EndEvent

Function StorePlayerRace()
	; Get player's race so we have it permanently
	PlayerOriginalRace = Game.GetPlayer().GetRace()
EndFunction

Bool Function HasSKSE()
	Return SKSEOK
EndFunction