Scriptname NW_RegrowthScript extends ActiveMagicEffect  
{ Script for the Regrowth Spell. }

VisualEffect Property HealEffect Auto

float Alteration
float HealAmount

Event OnInit()
	Alteration = Game.GetPlayer().GetAV("alteration")
	HealAmount = Game.GetPlayer().GetBaseActorValue("health") * 0.1 + (Alteration * 0.3)
	RegisterForSingleUpdate(0.5)
EndEvent

Event OnEffectStart(Actor akTarget, Actor akCaster)
	HealEffect.Play(akCaster, -1)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	HealEffect.Stop(akCaster)
EndEvent

Event OnUpdate()
	Game.GetPlayer().RestoreAV("health", HealAmount)
	Game.GetPlayer().RestoreAV("stamina", HealAmount * 0.2)
	
	RegisterForSingleUpdate(2.0)
EndEvent      