Scriptname NW_TomeOfKnowledgeScript extends ObjectReference  

Quest Property NW_WrathOfNature Auto
Quest Property NW_WrathOfEarth Auto
Quest Property NW_WrathOfFire Auto
Quest Property NW_WrathOfIce Auto
Quest Property NW_LostPractices Auto

Spell Property NW_AspectOfWolf Auto
Spell Property NW_AspectOfTiger Auto
Spell Property NW_AspectOfBear Auto
Spell Property NW_AspectOfNature Auto

Event OnRead()
	CompleteQuestLine()
	Game.GetPlayer().AddSpell(NW_AspectOfWolf, false)
	Game.GetPlayer().AddSpell(NW_AspectOfTiger, false)
	Game.GetPlayer().AddSpell(NW_AspectOfBear, false)
	Game.GetPlayer().AddSpell(NW_AspectOfNature, false)
EndEvent

Function CompleteQuestLine()

	NW_LostPractices.Start();
	NW_LostPractices.CompleteAllObjectives();
	NW_LostPractices.CompleteQuest();
	NW_WrathOfIce.Start();
	NW_WrathOfIce.CompleteAllObjectives();
	NW_WrathOfIce.CompleteQuest();
	NW_WrathOfFire.Start();
	NW_WrathOfFire.CompleteAllObjectives();
	NW_WrathOfFire.CompleteQuest();
	NW_WrathOfEarth.Start();
	NW_WrathOfEarth.CompleteAllObjectives();
	NW_WrathOfEarth.CompleteQuest();
	NW_WrathOfNature.Start();
	NW_WrathOfNature.CompleteAllObjectives();
	NW_WrathOfNature.CompleteQuest();

;	NW_LostPractices.SetStage(10)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(20)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(30)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(40)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(50)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(60)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetObjectiveCompleted(50)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetObjectiveCompleted(51)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetObjectiveCompleted(52)
;	Utility.Wait(0.5)
;	NW_LostPractices.SetStage(70)
;	Utility.Wait(0.5)

;	NW_WrathOfIce.SetStage(10)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetObjectiveCompleted(10)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetObjectiveDisplayed(20)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetStage(20)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetStage(40)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetObjectiveCompleted(30)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetObjectiveCompleted(31)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetObjectiveCompleted(32)
;	Utility.Wait(0.5)
;	NW_WrathOfIce.SetStage(50)
;	Utility.Wait(0.5)

;	NW_WrathOfFire.SetObjectiveCompleted(10)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetObjectiveDisplayed(20)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetStage(20)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetStage(40)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetObjectiveCompleted(30)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetObjectiveCompleted(31)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetObjectiveCompleted(32)
;	Utility.Wait(0.5)
;	NW_WrathOfFire.SetStage(50)
;	Utility.Wait(0.5)

;	NW_WrathOfEarth.SetObjectiveCompleted(10)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetObjectiveDisplayed(20)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetStage(20)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetStage(40)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetObjectiveCompleted(30)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetObjectiveCompleted(31)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetObjectiveCompleted(32)
;	Utility.Wait(0.5)
;	NW_WrathOfEarth.SetStage(50)
;	Utility.Wait(0.5)

;	NW_WrathOfNature.SetStage(10)
;	Utility.Wait(0.5)
;	NW_WrathOfNature.SetObjectiveCompleted(10)
;	Utility.Wait(0.5)
;	NW_WrathOfNature.SetObjectiveDisplayed(20)
;	Utility.Wait(0.5)
;	NW_WrathOfNature.SetStage(20)
;	Utility.Wait(0.5)
;	NW_WrathOfNature.CompleteAllObjectives()
EndFunction
