Scriptname NW_BlazingInfernoScript extends activemagiceffect  
{Blazing Inferno Spell Effect Script.}

Spell Property NW_Fireball Auto
Activator Property FXEmptyActivator Auto
ObjectReference CastPoint

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If (akTarget.IsDead() == false && akTarget.IsHostileToActor(akCaster))
		CastPoint = akTarget.placeAtMe(FXEmptyActivator)
		CastPoint.MoveTo(akCaster, 0, 0, akCaster.GetHeight() + 10)
		CastPoint.SetAngle(CastPoint.GetAngleX(), CastPoint.GetAngleY(), CastPoint.GetAngleZ() + CastPoint.GetHeadingAngle(akTarget))
		NW_Fireball.RemoteCast(CastPoint, akCaster, akTarget)
		Utility.Wait(1.0)
		CastPoint.Delete()
	EndIf
EndEvent