Scriptname NW_QuestPlayerScript extends ReferenceAlias  
{Script for tracking Player inventory.}

MiscObject Property Inkwell auto
MiscObject Property Quill auto
MiscObject Property RollOfPaper auto

int Property LoQuestStage Auto
int Property HiQuestStage Auto
int Property firstObj Auto
int Property secondObj Auto
int Property thirdObj Auto
int Property advObj Auto

bool gotInkwell
bool gotQuill
bool gotRollOfPaper
bool gotAll

Event OnInit()
	AddInventoryEventFilter(Inkwell)
	AddInventoryEventFilter(Quill)
	AddInventoryEventFilter(RollOfPaper)
EndEvent

Event OnItemAdded(Form ItemAdded, int itemCount, ObjectReference ItemRef, ObjectReference SourceRef)
	If (GetOwningQuest().GetStage() >= LoQuestStage && GetOwningQuest().GetStage() < HiQuestStage)
		InventoryCheck()		
	EndIf
EndEvent

Event onItemRemoved(form ItemAdded, int itemCount, ObjectReference ItemRef, ObjectReference SourceRef)
	If (GetOwningQuest().GetStage() >= LoQuestStage && GetOwningQuest().GetStage() < HiQuestStage)
		InventoryCheck()		
	EndIf
EndEvent

Function InventoryCheck()

	If (Game.GetPlayer().GetItemCount(Inkwell) >= 1)
		GetOwningQuest().SetObjectiveCompleted(firstObj, true)
		gotInkwell = true
	Else
		If (gotInkwell == true)
			GetOwningQuest().SetObjectiveCompleted(firstObj, false)
			GetOwningQuest().SetObjectiveDisplayed(firstObj, true)
			gotInkwell = false
		Else
			GetOwningQuest().SetObjectiveDisplayed(firstObj, true)
		EndIf
	EndIf
	
	If (Game.GetPlayer().GetItemCount(Quill) >= 1)
		GetOwningQuest().SetObjectiveCompleted(secondObj, true)
		gotQuill = true
	Else
		If (gotQuill == true)
			GetOwningQuest().SetObjectiveCompleted(secondObj, false)
			GetOwningQuest().SetObjectiveDisplayed(secondObj, true)
			gotQuill = false
		Else
			GetOwningQuest().SetObjectiveDisplayed(secondObj, true)
		EndIf
	EndIf
	
	If (Game.GetPlayer().GetItemCount(RollOfPaper) >= 1)
		GetOwningQuest().SetObjectiveCompleted(thirdObj, true)
		gotRollOfPaper = true
	Else
		If (gotRollOfPaper == true)
			GetOwningQuest().SetObjectiveCompleted(thirdObj, false)
			GetOwningQuest().SetObjectiveDisplayed(thirdObj, true)
			gotRollOfPaper = false
		Else
			GetOwningQuest().SetObjectiveDisplayed(thirdObj, true)
		EndIf
	EndIf
	
	If (gotInkwell == true && gotQuill == true && gotRollOfPaper == true)
		GetOwningQuest().SetObjectiveDisplayed(advObj, true)
		gotAll = true
	Else
		If (GetOwningQuest().isObjectiveDisplayed(advObj) == true)
			GetOwningQuest().SetObjectiveDisplayed(advObj, false)
			gotAll == false
		EndIf
	EndIf
		
EndFunction